'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AD_SIZE = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.setOptions = setOptions;
exports.createBannerView = createBannerView;
exports.createInterstitialView = createInterstitialView;
exports.destroyBannerView = destroyBannerView;
exports.requestInterstitialAd = requestInterstitialAd;
exports.showAd = showAd;
exports.showInterstitialAd = showInterstitialAd;
exports.prepareInterstitial = prepareInterstitial;
exports.showInterstitial = showInterstitial;

var _argscheck = require('cordova/argscheck');

var _argscheck2 = _interopRequireDefault(_argscheck);

var _exec = require('cordova/exec');

var _exec2 = _interopRequireDefault(_exec);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AD_SIZE = exports.AD_SIZE = {
  BANNER: 'BANNER',
  IAB_BANNER: 'IAB_BANNER',
  IAB_LEADERBOARD: 'IAB_LEADERBOARD',
  IAB_MRECT: 'IAB_MRECT',
  LARGE_BANNER: 'LARGE_BANNER',
  SMART_BANNER: 'SMART_BANNER'
};

function setOptions(options, successCallback, failureCallback) {
  if ((typeof options === 'undefined' ? 'undefined' : _typeof(options)) === 'object') {
    cordova.exec(successCallback, failureCallback, 'AdMob', 'setOptions', [options]);
  } else {
    if (typeof failureCallback === 'function') {
      failureCallback('options should be specified.');
    }
  }
}

function createBannerView() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var successCallback = arguments[1];
  var failureCallback = arguments[2];

  cordova.exec(successCallback, failureCallback, 'AdMob', 'createBannerView', [options]);
}

function createInterstitialView(options, successCallback, failureCallback) {
  cordova.exec(successCallback, failureCallback, 'AdMob', 'createInterstitialView', [options]);
}

function destroyBannerView() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var successCallback = arguments[1];
  var failureCallback = arguments[2];

  cordova.exec(successCallback, failureCallback, 'AdMob', 'destroyBannerView', []);
}

function requestInterstitialAd() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var successCallback = arguments[1];
  var failureCallback = arguments[2];

  cordova.exec(successCallback, failureCallback, 'AdMob', 'requestInterstitialAd', [options]);
}

function showAd() {
  var show = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  var successCallback = arguments[1];
  var failureCallback = arguments[2];

  cordova.exec(successCallback, failureCallback, 'AdMob', 'showAd', [show]);
}

function showInterstitialAd() {
  var show = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  var successCallback = arguments[1];
  var failureCallback = arguments[2];

  cordova.exec(successCallback, failureCallback, 'AdMob', 'showInterstitialAd', [show]);
}

// emulate cordova-admob-pro interface

function prepareInterstitial(args, successCallback, failureCallback) {
  createInterstitialView(args, successCallback, failureCallback);
  requestInterstitialAd(args, successCallback, failureCallback);
}

function showInterstitial(successCallback, failureCallback) {
  showInterstitialAd(true, successCallback, failureCallback);
}